Wiki does not support ordered list

2009-11-24 00:21 - Kamil .

Status: Closed Start date: 2009-11-24

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Using following syntax in the wiki:

a. foo

a. bar

a. something

should result in

a. foo

b. bar

c. something

 Same as

1. foo

1. bar

1. something

should result in

1. foo

2. bar

3. something

 regards

History

#1 - 2009-11-24 04:56 - Mischa The Evil

- Status changed from New to Closed

- Affected version (unused) deleted (0.8.5)

- Resolution set to Invalid

- Affected version deleted (0.8.5)

Both ordered as well as unordered lists are supported:

Ordered list example:

 

This

# foo

# bar

# lorem

renders as:
1. foo

2. bar

3. lorem

Unordered list example:

 

This

* foo

* bar

* lorem

renders as

1

:

 

foo

bar

lorem

1

 with one exception that I've used indention to markup this post which changes the bullet-type.

#2 - 2009-11-24 09:54 - Kamil .

- Status changed from Closed to Reopened

So:

1) you should document "#" ordering here: http://www.redmine.org/wiki/redmine/RedmineWikiFormatting

2)You still do not support a. b. c. ordering

regards

#3 - 2009-11-24 13:53 - Henrik Ammer

That page states the following:

For things such as headlines, bold, tables, lists, Redmine supports Textile syntax. See http://hobix.com/textile/ for information on using any of

these features. A few samples are included below, but the engine is capable of much more of that.

 However the hobix.com domain does not respond (anymore I recon). It should either be replaced with another link or a better explanation.

#4 - 2009-11-24 15:05 - Michael Aye

Ordered and unordered lists are documented by the Help link that appears in the upper right corner of all edit boxes.

The offline hobix.com link is bothering, though. Had to search myself recently, to find all the table features that are supported.

#5 - 2009-11-24 15:06 - Michael Aye

then again, tables are shown in http://www.redmine.org/wiki/redmine/RedmineWikiFormatting, so d'oh for me. :)

#6 - 2009-11-24 16:36 - Henrik Ammer

Michael Aye wrote:

Ordered and unordered lists are documented by the Help link that appears in the upper right corner of all edit boxes.

The offline hobix.com link is bothering, though. Had to search myself recently, to find all the table features that are supported.

 By reading an article regarding textile and Redmine it stated that Redmine uses RedCloth which has a textile reference page which is quite good.

Checking further RedCloth had a link called Hobix Textile Reference that linked to http://redcloth.org/hobix.com/textile/ which seems to be the

orphaned page Redmine linked to on the RedmineWikiFormatting page.

There is actually a short info regarding the disappearance of hobix.com on the RedCloth site.

#7 - 2009-11-24 19:33 - Jean-Philippe Lang

- Status changed from Reopened to Closed

Kamil . wrote:

So:
http://www.redmine.org/wiki/redmine/RedmineWikiFormatting
http://hobix.com/textile/
http://www.redmine.org/wiki/redmine/RedmineWikiFormatting
http://www.question-defense.com/2009/11/04/redmine-project-management-software-textile-information-and-possible-textile-limitations/
http://redcloth.org/textile
http://redcloth.org/textile
http://redcloth.org/hobix.com/textile/
https://www.redmine.org/projects/redmine/wiki/RedmineWikiFormatting
http://redcloth.org/hobix.com/


1) you should document "#" ordering here: http://www.redmine.org/wiki/redmine/RedmineWikiFormatting

 Added. Note that this was document in the "Help" link, just above any textarea in the application.

2)You still do not support a. b. c. ordering

 This is not a defect.
